package com.icomsys.main_vm.biz.rcp.conversation.vo;

import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@NoArgsConstructor
public class ProjectSettingVO {

    private double similarityCriteria;
    private double classCriteria;
    private double classResultCriteria;
    private String fallbackMsg;
    private String greetingMsg;
    private String updateId;
    private LocalDateTime updateDate;
    private String oprMngCode;

    public double getSimilarityCriteria() {
        return similarityCriteria;
    }

    public void setSimilarityCriteria(double similarityCriteria) {
        this.similarityCriteria = similarityCriteria;
    }

    public double getClassCriteria() {
        return classCriteria;
    }

    public void setClassCriteria(double classCriteria) {
        this.classCriteria = classCriteria;
    }

    public double getClassResultCriteria() {
        return classResultCriteria;
    }

    public void setClassResultCriteria(double classResultCriteria) {
        this.classResultCriteria = classResultCriteria;
    }

    public String getFallbackMsg() {
        return fallbackMsg;
    }

    public void setFallbackMsg(String fallbackMsg) {
        this.fallbackMsg = fallbackMsg;
    }

    public String getGreetingMsg() {
        return greetingMsg;
    }

    public void setGreetingMsg(String greetingMsg) {
        this.greetingMsg = greetingMsg;
    }

    public String getUpdateId() { return updateId; }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public String getUpdateDate() {
        return updateDate.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm"));
    }

    public void setUpdateDate(LocalDateTime updateDate) {
        this.updateDate = updateDate;
    }

    public String getOprMngCode() {
        return oprMngCode;
    }

    public void setOprMngCode(String oprMngCode) {
        this.oprMngCode = oprMngCode;
    }
}
